Subject: bug#73500: eglot: diagnostic location not always shown

From: Federico Beffa <[email-masked]>
Date: Mon, 30 Sep 2024 17:45:32 +0200

-------- Forwarded Message --------
Subject: 	Re: bug#73500: eglot: diagnostic location not always shown
Date: 	Mon, 30 Sep 2024 12:16:53 +0200
From: 	Federico Beffa <[email-masked]>
To: 	João Távora <[email-masked]>

On 30/09/2024 11:41, João Távora wrote:
> On Mon, Sep 30, 2024 at 10:19 AM Federico Beffa
> <[email-masked]> wrote:
>> A few questions:
>> * have you checked the provided lsp*.log files which show that the diagnostics is sent?
> Yes.  But I don't get that log, as I already showed.
>> * have you checked the provided screenshots showing an exclamation mark in the fringe but no underlining?
> These are not from emacs -Q so I ignored them. For all I know you may have a
> (imaginary-bugs) in your init file. Or have a different setting of the
> underlining face
> to something that can't be rendered.
>
> A screenshot of a clean Emacs -Q would have been slightly more useful (well
> not really useful, but more interesting at least).

They are, I just enabled manually in the session the wombat theme 
because I prefer dark ones.

>> * How do you explain the exclamation mark in the fringe which doess not appear if eglot is not enabled?
> That's an odd question.  I don't, of course. Much as I can't "explain"
> that grainy
> footage that someone says they took of bigfoot.  Maybe bigfoot exists, maybe
> it's just a far away hunchback person.  I'll have a better change of
> "explaining" something once I can investigate it myself, and so far
> I haven't been able to reproduce your sighting.
>
>> * Do you also see the exclamation mark in the fringe on the line in question?
> No, when I tried your Emacs -Q recipe I didn't see any diagnostics.  I
> thought I
> explained that.
>
>> * Does "cabal run" works? Do you see the output? If not please provide the complete error message.
> Eglot doesn't interact with cabal, it interacts via LSP with
> haskell-language-server.

Nobody said that eglot interacts with cabal. It's the 
`haskell-language-server` that does...  and, as I told several times, 
without cabal you don't get any warning and hence the diagnostics.

> I can tell you I managed a successful interaction where the server in question
> connected perfectly and analized the Main.hs program you provided.  When
> Tweaking the program, I got some diagnostics.  As far as I'm concerned
> witnessed  first hand in an Emacs -Q session, Eglot correctly underlines all
> diagnostics coming from that server, which is not suprising to me, since
> they look a lot like any other diagnostic coming from  any other server and
> Eglot doesn't care about the provenance of diagnostics.
>
> Also, I uninstalled everything haskell, it bloated up my system and I don't plan
> on installing it again..
>
> João

 From all your previous replies I expected these answers. Dismissing bug 
reports without making any serious effort to reproduce them just makes a 
disservice to your own and to the Emacs projects. Never mind, I wanted 
to help the project, but I'll move on to other less buggy and more 
feature reach options.